%define upstream_name    LWPx-TimedHTTP
%define upstream_version 1.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    time the different stages of an HTTP request 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SI/SIMONW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(LWP::UserAgent) >= 6.0.0
BuildRequires: perl(Module::Build) >= 0.350.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
This module performs an HTTP request exactly the same as LWP does
normally except for the fact that it times each stage of the
request and then inserts the results as header. It's useful for
debugging where abouts in a connection slow downs are occuring.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
install -d %{buildroot}%{perl_vendorlib}/LWPx
install -d %{buildroot}%{_mandir}/man3/

install -m0644 blib/lib/LWPx/TimedHTTP.pm %{buildroot}%{perl_vendorlib}/LWPx/
install -m0644 blib/libdoc/LWPx::TimedHTTP.3pm %{buildroot}%{_mandir}/man3/

%files
%doc Changes INSTALL META.json META.yml
%dir %{perl_vendorlib}/LWPx
%{perl_vendorlib}/LWPx/TimedHTTP.pm
%{_mandir}/*/*

%changelog

* Wed Nov 09 2011 jquelin <jquelin> 1.800.0-1.mga2
+ Revision: 165828
- update to 1.8

* Fri Jan 21 2011 jquelin <jquelin> 1.5-5.mga1
+ Revision: 30640
- mageia rebuild
- imported package perl-LWPx-TimedHTTP


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.5-5mdv2010.0
+ Revision: 430484
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.5-4mdv2009.0
+ Revision: 257682
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.5-3mdv2009.0
+ Revision: 245730
- rebuild

* Sat Feb 02 2008 Funda Wang <fwang@mandriva.org> 1.5-1mdv2008.1
+ Revision: 161383
- update to new version 1.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-5mdv2008.0
+ Revision: 86527
- rebuild


* Mon Oct 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-4mdk
- Fix BuildRequires

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-3mdk
- Buildrequires fix

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-2mdk
- fix buildrequires

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4-1mdk
- initial Mandriva package

